part of 'timer_bloc.dart';

abstract class TimerEvent extends Equatable {
  const TimerEvent();

  @override
  List<Object> get props => [];
}

class TimerStart extends TimerEvent {
  final int duration;
  const TimerStart({required this.duration});

  @override
  String toString() => "TimerStart { duration: $duration }";
}

class TimerEnd extends TimerEvent {
  final int duration;
  const TimerEnd({required this.duration});
}

class TimerTick extends TimerEvent {
  final int duration;
  const TimerTick({required this.duration});

  @override
  String toString() => "Tick { duration: $duration }";
}

class TimerPause extends TimerEvent {
  const TimerPause();
}

class TimerResume extends TimerEvent {
  const TimerResume();
}

class TimerReset extends TimerEvent {
  const TimerReset();
}
